*  Assembler include file for the iff library 
*  by Christian A. Weber, Zrich/Switzerland            V18.4  28-Feb-90

		XREF	_IFFBase

IFFVERSION:	EQU	18	; Use this for the OpenLibrary() call

IFF:	      MACRO
		movea.l	_IFFBase,a6
		jsr	\1(a6)
	      ENDM


*************** LIBRARY OFFSETS ******************************************

OpenIFF:	EQU	-30	; (filename)			(A0)
CloseIFF:	EQU	-36	; (ifffile)			(A1)
FindChunk:	EQU	-42	; (ifffile,chunkname)		(A1,D0)
GetBMHD:	EQU	-48	; (ifffile)			(A1)
GetColorTab:	EQU	-54	; (ifffile,colortable)		(A1/A0)
DecodePic:	EQU	-60	; (ifffile,bitmap)		(A1/A0)
SaveBitMap:	EQU	-66	; (name,bmap,ctab,crmd)		(A0-A2,D0)
SaveClip:	EQU	-72	; (name,bmap,ctab,crmd,x,y,w,h)	(A0-A2,D0-D4)
IffError:	EQU	-78	; ()				()
GetViewModes:	EQU	-84	; (ifffile)			(A1)
NewOpenIFF:	EQU	-90	; (filename,memtype)		(A0,D0)
ModifyFrame:	EQU	-96	; (modifyform,bitmap)		(A1/A0)


*************** ERROR CODES **********************************************

IFF_BADTASK:		EQU	-1	; IffError() called by wrong task

IFF_CANTOPENFILE:	EQU	16	; File not found
IFF_READERROR:		EQU	17	; Error reading file
IFF_NOMEM:		EQU	18	; Not enough memory
IFF_NOTIFF:		EQU	19	; File is not an IFF file
IFF_WRITEERROR:		EQU	20	; Error writing file

IFF_NOILBM:		EQU	24	; IFF file is not of type ILBM
IFF_NOBMHD:		EQU	25	; BMHD chunk not found
IFF_NOBODY:		EQU	26	; BODY chunk not found
IFF_TOOMANYPLANES:	EQU	27	; BODY has more planes than BitMap
IFF_UNKNOWNCOMPRESSION:	EQU	28	; Unknown compression type

IFF_NOANHD:		EQU	29	; ANHD chunk not found (since V18.1)
IFF_NODLTA:		EQU	30	; DLTA chunk not found (since V18.1)


bmh_Width:		EQU	0	; struct BitMapHeader (Exec B-43)
bmh_Height:		EQU	$2
bmh_XPos:		EQU	$4
bmh_YPos:		EQU	$6
bmh_nPlanes:		EQU	$8
bmh_Masking:		EQU	$9
bmh_Compression:	EQU	$A
bmh_Pad1:		EQU	$B
bmh_TranspCol:		EQU	$C
bmh_XAspect:		EQU	$E
bmh_YAspect:		EQU	$F
bmh_PageWidth:		EQU	$10
bmh_PageHeight:		EQU	$12
bmh_SIZEOF:		EQU	$14

